commit: bca320f7b3a154ed9556fcff44daa746c7ca4027
Author: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 14 09:50:46 2016 +0000
Commit: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Thu Apr 14 09:50:46 2016 +0000
URL: https://gitweb.gentoo.org/dev/dev-zero.git/commit/?id=bca320f7
sci-misc/opari2: version bump
sci-misc/opari2/Manifest | 3 +--
.../opari2/{opari2-1.0.7.ebuild => opari2-1.1.4.ebuild} | 13 ++++++-------
2 files changed, 7 insertions(+), 9 deletions(-)
diff --git a/sci-misc/opari2/Manifest b/sci-misc/opari2/Manifest
index 6e06649..33a4d4a 100644
--- a/sci-misc/opari2/Manifest
+++ b/sci-misc/opari2/Manifest
@@ -1,2 +1 @@
-DIST opari2-1.0.7.tar.gz 874332 SHA256
8d6fe152c740eaec9294e9d8c0938bf7bb25371e35486af7b95c16cf0159efc0 SHA512
cc7c0b7ab50561b018ce05ef9e9182001b8626eed2c072770a67373e9648a86ce249da6a4e9263801173ea08ecc40565751a1bf8ca62065a59adbb355ad5e5a5
WHIRLPOOL
36a6d7ddbff90cbb9f94bc6c83bab2c5303998ee402f524989869ab9a1815ba6bbd9193370b4e02bf75edf28a5ad183ec61d5b111f6ccc53ccd865fec561d798
-EBUILD opari2-1.0.7.ebuild 691 SHA256
4527e14a2f613c48dc0637f9e194d48992fb4d85c910a61022e1b7ef70715d6a SHA512
c356caadf6279b0e13315dae8bc9a4645dfc1358af48b77e5e3b9e2cbc8deb14dde6a5b42c771859dba4c6ab1bb71c51b12a616342557cef5c938dc4e46657f3
WHIRLPOOL
a8bf542ba8f44c89990672d5ccd32452d24247c0fa90a3537634dee607a601c981c88e14abe0d1d025225cfbf1f3834dcefdaa91ca6246063e0c87d32743d1d3
+DIST opari2-1.1.4.tar.gz 950100 SHA256
b80c04fe876faaa4ee9a0654486ecbeba516b27fc14a90d20c6384e81060cffe SHA512
a9659d1a6c5219e2ac83a880092e04d0b53c7730f8e965e661fbf3c51de0b84561afa216349cfc122dc0c1dc80e44157b5367e6d6c03649ade7f115ce7b517a4
WHIRLPOOL
eb8e8dc1d9c9ea3f9be128e3673a3070bd61bf5b3234afcffd0d994a6c0b4fe21b64fa452fe6c16544971d35b51cc62cc4f26602c62eb13c641e70aa5387399d
diff --git a/sci-misc/opari2/opari2-1.0.7.ebuild
b/sci-misc/opari2/opari2-1.1.4.ebuild
similarity index 62%
rename from sci-misc/opari2/opari2-1.0.7.ebuild
rename to sci-misc/opari2/opari2-1.1.4.ebuild
index 02e0b9a..e4a325d 100644
--- a/sci-misc/opari2/opari2-1.0.7.ebuild
+++ b/sci-misc/opari2/opari2-1.1.4.ebuild
@@ -1,8 +1,10 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=5
+EAPI=6
+
+inherit fortran-2
DESCRIPTION="Source-to-source instrumentation tool for OpenMP and hybrid
codes."
HOMEPAGE="http://www.vi-hps.org/Tools/OPARI2.html"
@@ -17,16 +19,13 @@ DEPEND=""
RDEPEND=""
src_configure() {
- # auto-detection does not work in ebuild environment
- econf \
- --with-platform=linux \
- --docdir="/usr/share/doc/${PF}"
+ econf --docdir="${EPREFIX}/usr/share/doc/${PF}"
}
src_install() {
default
if ! use doc ; then
- rm -r "${D}/usr/share/doc/${PF}"/{example*,html,pdf,tags} ||
die "removing docs failed"
+ rm -r "${ED}/usr/share/doc/${PF}"/{example*,html,pdf} || die
"removing docs failed"
fi
}